Summary: Tool to locally check for signs of a rootkit.
Name: chkrootkit
Version: 0.33
Release: 1
Copyright: distributable
Group: Applications/System
Source: ftp://ftp.pangeia.com.br/pub/seg/pac/chkrootkit.tar.gz
URL: http://www.chkrootkit.org/
Vendor: Pangeia Informatica
Packager: Jesus Ortega (a.k.a. Nitebirdz) <nitebirdz@openboxgroup.com>
Buildroot: /chkrootkit-root

%description
The chkrootkit tools include several tools to detect signs of a rootkit:
- chkrootkit: shell script that checks system binaries for rootkit 
  modifications
- ifpromisc.c: checks if the interface is in promiscuous mode. 
- chklastlog.c: checks for lastlog deletions. 
- chkwtmp.c: checks for wtmp deletions.
- chkproc.c: checks for signs of LKM trojans.

%prep
%setup

%build
make sense

%install
mkdir -p $RPM_BUILD_ROOT/usr/local/bin
mkdir -p $RPM_BUILD_ROOT/usr/doc
cp $RPM_BUILD_DIR/chkrootkit-0.33/chklastlog $RPM_BUILD_ROOT/usr/local/bin/chklastlog
cp $RPM_BUILD_DIR/chkrootkit-0.33/chkproc $RPM_BUILD_ROOT/usr/local/bin/chkproc
cp $RPM_BUILD_DIR/chkrootkit-0.33/chkrootkit $RPM_BUILD_ROOT/usr/local/bin/chkrootkit
cp $RPM_BUILD_DIR/chkrootkit-0.33/chkwtmp $RPM_BUILD_ROOT/usr/local/bin/chkwtmp
cp $RPM_BUILD_DIR/chkrootkit-0.33/ifpromisc $RPM_BUILD_ROOT/usr/local/bin/ifpromisc

%clean

%files
%defattr(-,root,root)
%doc COPYRIGHT
%doc Makefile
%doc README.chklastlog
%doc README.chkwtmp
/usr/local/bin/chklastlog
/usr/local/bin/chkproc
/usr/local/bin/chkrootkit
/usr/local/bin/chkwtmp
/usr/local/bin/ifpromisc

%changelog
* Thu Jun 14 2001 Jesus Ortega (a.k.a. Nitebirdz) <nitebirdz@openboxgroup.com>
- First RPM build of version 0.33

